AGGREGATE-IOS(1)

NAME
aggregate-ios - optimise a concatenated set of cisco/IOS prefix filters to help make them nice and short.

SYNOPSIS
aggregate-ios <source_config >optimised_config

DESCRIPTION
Takes cisco IOS configuration on stdin, and optimises any prefix filters found using aggregate(1). Optimised filters are produced on stdout.

OPTIONS
None.

DIAGNOSTICS
Any diagnostics produced by aggregate(1) are passed through on stderr.

EXAMPLES
The following configuration fragment:
  ip prefix-list AS65530 description Foo, Inc
  ip prefix-list AS65530 permit 10.1.0.0/16
  ip prefix-list AS65530 permit 10.2.0.0/16
  ip prefix-list AS65530 permit 10.2.1.0/24
  ip prefix-list AS65530 permit 10.3.0.0/16
  ip prefix-list AS65531 description Bar.Com
  ip prefix-list AS65531 seq 5 permit 192.168.1.0/24
  ip prefix-list AS65531 seq 10 permit 192.168.2.0/24
  ip prefix-list AS65531 seq 15 permit 192.168.0.0/19 is optimised as follows:
  ip prefix-list AS65530 permit 10.1.0.0/16 le 24
  ip prefix-list AS65530 permit 10.2.0.0/15 le 24
  ip prefix-list AS65531 permit 192.168.0.0/19 le 24

SEE ALSO
aggregate(1)

HISTORY
Aggregate-ios was written by Joe Abley <jabley@mfnx.net>.

BUGS
All those in aggregate(1) and then some :)